Summary:	Photo Print - Prints photos in various layouts and with color management
Summary(de):	Photo Print - Druckt Bilder in verschiedenen Vorlagen mit Farbverwaltung.
Name:		photoprint
Version:	0.4.2
Release:	%mkrel 0.pre2.3
License:	GPL
Group:		Publishing
Source:		%{name}-%{version}pre2.tar.xz
URL:		http://blackfiveimaging.co.uk/index.php?article=02Software%2F01PhotoPrint
Patch0:         photoprint-0.4.2-pre2-lib.patch
# Modernize autotool sources.
Patch1:         photoprint-0.4.2-pre2-configure.ac.patch
Patch2:         photoprint-0.4.2-pre2-glib-includes.patch
# Avoid clashes between netpbm/pam.h's and c++14's "tuple"
Patch3:         photoprint-0.4.2-pre2-c++14.patch
# Pregenerated updated autotool support files.
Patch4:         photoprint-0.4.2-pre2-autotools.patch
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	%{_lib}lcms-devel, 
BuildRequires:	libtiff-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libnetpbm-devel
BuildRequires:	libcups-devel
BuildRequires:	%{_lib}gutenprint2-devel
BuildRequires:	libgtk+2.0-devel
BuildRequires:	ImageMagick
Obsoletes:  %name < %version

%description
Photo Print is a utility for printing images via Gutenprint (a
rebranding of Gimp-Print for the latest version).

It supports different printing layouts, as one picture per page,
several pictures (scaled to equal size) per page, a poster of one
picture put together of several sheets, or several pictures combined
to one round picture for a CD back.

Image frames (Templates in /usr/share/photoprint/borders/) and color
management (Profiling instructions in
/usr/share/photoprint/ProfilingKit/ProfilingKit.html) are also
supported.

Photo Print can be used as GUI tool and also as command line tool in
batch mode.

Works nicely as an image editor in GQ-View.

%description -l de
Photo Print ist ein Dienstprogramm für das Drucken von Bildern über 
Gutenprint (ein Rebranding von Gimp-Print für die neueste Version).

Es unterstützt verschiedene Druck-Vorlagen, wie ein Bild pro Seite, 
mehrere Bilder (skaliert auf gleiche Größe) pro Seite, ein Poster von 
einem Bild zusammengesetzt aus mehreren Seiten, oder mehrere Bilder 
kombiniert zu einem runden Bild für eine CD-Hintergrund.

Bildrahmen (Vorlagen in /usr/share/photoprint/borders/) und Farbverwaltung 
(Profil Anweisungen in/usr/share/photoprint/ProfilingKit/ProfilingKit.html) 
werden auch unterstützt. Photo Print kann als GUI-Werkzeug als auch 
Kommandozeilen- Werkzeug im Stabelverarbeitungs-Modus.

Arbeitet schön als ein Bild-Editor in GQ-View.


%prep

%setup -q -n photoprint-0.4.2pre2
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
export QTDIR=%_prefix/lib/qt3

%configure2_5x

%make

# Generate menu icons in required format
convert splashscreen/SplashScreen.tif -resize 32x32 photoprint.png
convert splashscreen/SplashScreen.tif -resize 16x16 photoprint_mini.png
convert splashscreen/SplashScreen.tif -resize 48x48 photoprint_large.png

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %{name} --with-gnome

# install man page

install -d %buildroot%{_mandir}/man1/
install -m 644 photoprint.1 %buildroot%{_mandir}/man1/

# install menu icon
install -d %buildroot%{_datadir}/icons
install -m 644 photoprint.png %buildroot%{_datadir}/icons/
install -d %buildroot%{_datadir}/icons/mini
install -m 644 photoprint_mini.png %buildroot%{_datadir}/icons/mini/photoprint.png
install -d %buildroot%{_datadir}/icons/large
install -m 644 photoprint_large.png %buildroot%{_datadir}/icons/large/photoprint.png

# Creation of *.desktop-file
rm -Rf %{buildroot}%{_datadir}/applications/fotoprint.desktop
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/fotoprint.desktop  <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=PhotoPrint
Name[de]=FotoDruck
Name[ru]=Пакетная печать фотографий в PhotoPrint
GenericName=Photo Printing
GenericName[de]=Foto Drucker
GenericName[ru]=Печать фотографий
Comment=Color managed printing of multiple photos on single page
Comment[de]=Farbmanagement Drucken mehrerer Fotos auf einzelne Seite
Comment[ru]=Цветоуправляемая пакетная печать фотографий
Exec=photoprint
Icon=photoprint.png
StartupNotify=true
Terminal=false
Type=Application
Categories=Graphics;Photography;GNOME;GTK;X-MandrivaLinux-Multimedia-Graphics;
MimeType=image/tiff;image/jpeg;image/png;
EOF


%clean
rm -fr %buildroot

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING NEWS TODO
%_bindir/*
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png
%_mandir/man*/*
%_datadir/photoprint
%{_datadir}/applications/fotoprint.desktop
%{_datadir}/icons/hicolor/48x48/apps/fotoprint.png

%changelog
* Wed May 20 2020 ghostbunny <ghostbunny at gmx dot de> 0.4.2pre2-3pclos2020
- rebuild against new netpbm version
- include fedora patches to make it build againrp

* Sat Nov 26 2011 Texstar <texstar at gmail.com> 0.4.2pre2-2pclos2011
- update for 32/64

* Wed Jul 14 2010 maik3531 <maik3531 at yahoo.de> 0.4.2pre2-1pclos2010
- 0.4.2pre2
- add german description

* Wed Oct 28 2009 Texstar <texstar at gmail.com> 0.4.1-1pclos2010
- gcc update
- 0.4.1

* Sun May 31 2009 Texstar <texstar@gmail.com> 0.3.6-2pclos2009
- rebuild against updated libs

* Fri Nov 02 2007 Texstar <texstar@gmail.com> 0.3.6-1pclos2007
- 0.3.6

* Mon Jun 18 2007 Texstar <texstar@gmail.com> 0.3.5-1pclos2007
- import into pclos 2007
